diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/get_encodings.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/get_encodings.sql
index 7d583b0..e8e531c 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/get_encodings.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/9.2_plus/get_encodings.sql
@@ -6,7 +6,7 @@ SELECT *
 FROM
     (SELECT pg_encoding_to_char(s.i) AS encoding
     FROM (SELECT generate_series(0, 100, 1) as i) s) a
-WHERE encoding != '';
+WHERE encoding != '' ORDER BY encoding;
 
 {#
 -- For future use, Do not delete
diff --git a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/get_encodings.sql b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/get_encodings.sql
index 0058423..4ef6379 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/get_encodings.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/templates/databases/sql/default/get_encodings.sql
@@ -5,7 +5,7 @@
 SELECT * FROM
 (SELECT pg_encoding_to_char(s.i) AS encoding
 FROM (SELECT generate_series(0, 100, 1) as i) s) a
-WHERE encoding != '';
+WHERE encoding != '' ORDER BY encoding;
 
 {#
 -- For future use, Do not delete
diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index e3b5b6c..bfad2b4 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -2201,6 +2201,16 @@
 
       // Set selected value into the model
       this.model.set(name, decodeURI(value));
+    },
+    clearInvalid: function() {
+      Backform.InputControl.prototype.clearInvalid.apply(this, arguments);
+      this.$el.removeClass("pgadmin-file-has-error");
+      return this;
+    },
+    updateInvalid: function() {
+      Backform.InputControl.prototype.updateInvalid.apply(this, arguments);
+      // Introduce a new class to fix the error icon placement on the control
+      this.$el.addClass("pgadmin-file-has-error");
     }
   });
 
diff --git a/web/pgadmin/static/scss/_backform.overrides.scss b/web/pgadmin/static/scss/_backform.overrides.scss
index 8527880..9c2f41c 100644
--- a/web/pgadmin/static/scss/_backform.overrides.scss
+++ b/web/pgadmin/static/scss/_backform.overrides.scss
@@ -18,4 +18,10 @@
     padding-top: 10px;
     z-index: 1;
   }
-}
\ No newline at end of file
+}
+
+.pgadmin-file-has-error {
+  .pgadmin-controls:before {
+    right: 40px !important;
+  }
+}
